package org.apache.bcel.classfile;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.io.FilterWriter;
import java.io.IOException;
import java.io.Writer;
import org.apache.bcel.classfile.Utility;

class JavaWriter extends FilterWriter {
  public JavaWriter(Writer out) {
    super(out);
  }
  
  public void write(char[] cbuf, int off, int len) throws IOException {
    for (int i = 0; i < len; i++)
      write(cbuf[off + i]); 
  }
  
  public void write(int b) throws IOException {
    if (Utility.isJavaIdentifierPart((char)b) && b != 36) {
      this.out.write(b);
    } else {
      this.out.write(36);
      if (b >= 0 && b < 48) {
        this.out.write(Utility.access$100()[b]);
      } else {
        char[] tmp = Integer.toHexString(b).toCharArray();
        if (tmp.length == 1) {
          this.out.write(48);
          this.out.write(tmp[0]);
        } else {
          this.out.write(tmp[0]);
          this.out.write(tmp[1]);
        } 
      } 
    } 
  }
  
  public void write(String str, int off, int len) throws IOException {
    write(str.toCharArray(), off, len);
  }
}
